Class | Rake::TestTask
In: | lib/rake/testtask.rb
Parent: | TaskLib

Create a task that runs a set of tests.

Example:

      Rake::TestTask.new do |t|
        t.libs << "test"
        t.test_files = FileList['test/test*.rb']
        t.verbose = true
      end

If rake is invoked with a "TEST=filename" command line option, then the list of test files will be overridden to include only the filename specified on the command line. This provides an easy way to run just one test.

If rake is invoked with a "TESTOPTS=options" command line option, then the given options are passed to the test process after a ’—’. This allows Test::Unit options to be passed to the test suite.

Examples:

      rake test                           # run tests normally
      rake test TEST=just_one_file.rb     # run just one test file.
      rake test TESTOPTS="-v"             # run in verbose mode
      rake test TESTOPTS="--runner=fox"   # use the fox test runner

### Methods

define new test_files=

### Attributes

libs | [RW] | List of directories to added to $LOAD_PATH before running the tests. (default is ‘lib’)

loader

[RW]

Style of test loader to use. Options are:

- :rake — Rake provided test loading script (default).
- :testrb — Ruby provided test loading script.
- :direct — Load tests using command line loader.

name | [RW] | Name of test task. (default is :test)
options | [RW] | Test options passed to the test suite. An explicit TESTOPTS=opts on the command line will override this. (default is NONE)
pattern | [RW] | Glob pattern to match test files. (default is ‘test/test*.rb’)
ruby_opts | [RW] | Array of commandline options to pass to ruby when running test loader.
verbose | [RW] | True if verbose test output desired. (default is false)
warning | [RW] | Request that the tests be run with the warning flag set. E.g. warning=true implies "ruby -w" used to run the tests.

### Public Class methods

new(name=:test) {|self if block_given?| ...}

Create a testing task.

### Public Instance methods

define()

Create the tasks defined by this task lib.

test_files=(list)

Explicitly define the list of test files to be included in a test. `list` is expected to be an array of file names (a FileList is acceptable). If both `pattern` and `test_files` are used, then the list of test files is the union of the two.

[Validate]